<?php
$data           = $args ?? '';
$reversed       = '';
$custom_classes = '';
$left_col_al    = ' class="to_left"';
$right_col_al   = ' class="to_left"';

if( ! empty( $data['second_is_first'] ) ) {
    $reversed = ' reversed';
}

if( ! empty( $data['custom_classes'] ) ) {
    $custom_classes = ' ' . $data['custom_classes'];
}

if( ! empty( $data['first_column']['align_content'] ) ) {
    $left_col_al = ' class="' . $data['first_column']['align_content'] . '"';
}

if( ! empty( $data['second_column']['align_content'] ) ) {
    $right_col_al = ' class="' . $data['second_column']['align_content'] . '"';
}
?>
<section class="block-section<?php echo $custom_classes; ?>">

    <?php if( ! empty( $data['title'] ) ) { ?>
        <h2><?php echo $data['title']; ?></h2>
    <?php } ?>

    <?php if( ! empty( $data['content'] ) ) { ?>
        <div><?php echo $data['content']; ?></div>
    <?php } ?>

    <div class="content<?php echo $reversed;?>">
        <article<?php echo $left_col_al;?>>
            <?php if( ! empty( $data['first_column']['custom_output'] ) ) { ?>
                <?php echo $data['first_column']['custom_output']; ?>
            <?php } ?>

            <?php
            if( ! empty( $data['first_column']['image'] ) ) {
                $img = wp_get_attachment_image_src($data['first_column']['image']['id'], 'large');
                echo '<img src="' . $img[0] . '" alt="' . $data['first_column']['image']['name'] . '" title="' . $data['first_column']['image']['name'] . '">';
            }
            ?>

            <?php if( ! empty( $data['first_column']['svg'] ) ) { ?>
                <div class="icon">
                    <?php echo $data['first_column']['svg']; ?>
                </div>
            <?php } ?>

            <?php if( ! empty( $data['first_column']['title'] ) ) { ?>
                <h3><?php echo $data['first_column']['title']; ?></h3>
            <?php } ?>

            <?php if( ! empty( $data['first_column']['content'] ) ) { ?>
                <div><?php echo $data['first_column']['content']; ?></div>
            <?php } ?>

            <?php if( ! empty( $data['first_column']['link'] ) ) {
                echo lava_get_link( $data['first_column']['link'], 'lava__button' );
            } ?>
        </article>

        <?php if( empty( $data['second_column']['column_is_hidden'] ) ) { ?>
            <article<?php echo $right_col_al;?>>
                <?php if( ! empty( $data['second_column']['custom_output'] ) ) { ?>
                    <?php echo $data['second_column']['custom_output']; ?>
                <?php } ?>

                <?php
                if( ! empty( $data['second_column']['image'] ) ) {
                    $img = wp_get_attachment_image_src($data['second_column']['image']['id'], 'large');
                    echo '<img src="' . $img[0] . '" alt="' . $data['second_column']['image']['name'] . '" title="' . $data['second_column']['image']['name'] . '">';
                }
                ?>

                <?php if( ! empty( $data['second_column']['svg'] ) ) { ?>
                    <div class="icon">
                        <?php echo $data['second_column']['svg']; ?>
                    </div>
                <?php } ?>

                <?php if( ! empty( $data['second_column']['title'] ) ) { ?>
                    <h3><?php echo $data['second_column']['title']; ?></h3>
                <?php } ?>

                <?php if( ! empty( $data['second_column']['content'] ) ) { ?>
                    <div><?php echo $data['second_column']['content']; ?></div>
                <?php } ?>

                <?php if( ! empty( $data['second_column']['link'] ) ) {
                    echo lava_get_link( $data['second_column']['link'], 'lava__button' );
                } ?>
            </article>
        <?php } ?>
    </div>
</section>
